Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.util
Class XMLHelper

    java.lang.Object
      fr.jayasoft.ivy.util.XMLHelper

public abstract class XMLHelper
extends java.lang.Object

Field Summary
`(package private) static java.lang.String` | `JAXP_SCHEMA_LANGUAGE`
`(package private) static java.lang.String` | `JAXP_SCHEMA_SOURCE`
`(package private) static java.lang.String` | `W3C_XML_SCHEMA`

Constructor Summary
`XMLHelper()`

Method Summary
`static boolean` | `canUseSchemaValidation()`
`static void` | `parse(java.net.URL xmlURL, java.net.URL schema, org.xml.sax.helpers.DefaultHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAXP_SCHEMA_LANGUAGE

    static final java.lang.String JAXP_SCHEMA_LANGUAGE

See Also:
  Constant Field Values

### JAXP_SCHEMA_SOURCE

    static final java.lang.String JAXP_SCHEMA_SOURCE

See Also:
  Constant Field Values

### W3C_XML_SCHEMA

    static final java.lang.String W3C_XML_SCHEMA

See Also:
  Constant Field Values

Constructor Detail

### XMLHelper

    public XMLHelper()

Method Detail

### parse

    public static void parse(java.net.URL xmlURL,
                             java.net.URL schema,
                             org.xml.sax.helpers.DefaultHandler handler)
                      throws org.xml.sax.SAXException,
                             java.io.IOException,
                             javax.xml.parsers.ParserConfigurationException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`

### canUseSchemaValidation

    public static boolean canUseSchemaValidation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD